<div class="page-header">
  <h3 class="page-title">
    <span class="page-title-icon bg-gradient-primary text-white mr-2">
      <i class="mdi mdi-account-multiple"></i>                 
    </span>
    Perfil
  </h3>
  <nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a routerLink="/dashboard">Inicio</a></li>
      <li class="breadcrumb-item active" aria-current="page">Perfil</li>
    </ol>
  </nav>
</div>

<div class="row">
  <div class="col-md-12 grid-margin stretch-card">
    <div class="card">
      <div class="card-body">
        <ngb-tabset (tabChange)="resetMisDatos($event)">

          <!-- inicio de primer tab mis datos TAB-1 -->
          <ngb-tab title="Mis datos" id="tab-1">
            <ng-template ngbTabContent>
              <form [formGroup]="usuarioDates">
                <div class="row d-flex justify-content-between align-items-baseline" style="margin-right:auto; margin-left:auto;">
                  <div></div>
                  <button type="button" class="btn btn-dark btn-fw" *ngIf="isEdit1===false" (click)="editUsuario(this.usuarioDates.value)" >
                    <i class="mdi mdi-plus-box" >Editar </i>
                  </button>
                  <button type="button" class="btn btn-primary btn-fw" *ngIf="isEdit1===true" (click)="saveUsuario(this.usuarioDates.value)"
                  [disabled]="this.usuarioDates.invalid">
                    <i class="mdi mdi-plus-box" >Guardar cambios</i>
                  </button>
                </div>
                <!-- boton -->
                <div class="card">
                  <div class="card-body">
                    <p class="card-description">
                    </p>
                    <div class="row">
                      <div class="col-md-6">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Nombre</label>
                          <div class="col-sm-9">
                            <input id="edit1" type="text" value={userLocal.nombre} class="form-control" formControlName="nombre" #nombre
                              placeholder="Ingrese su nombre" /> 
                          </div>
                        </div>
                      </div>
                      <div class="col-md-6">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Apellido paterno</label>
                          <div class="col-sm-9">
                            <input id="edit2" type="text" class="form-control" formControlName="apellidoPaterno" #apellidoPaterno
                              placeholder="Ingrese su apellido paterno" />
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-6">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Apellido materno</label>
                          <div class="col-sm-9">
                            <input id="edit3" type="text" class="form-control" formControlName="apellidoMaterno" #apellidoMaterno
                              placeholder="Ingrese su apellido materno" />
                          </div>
                        </div>
                      </div>
                      <div class="col-md-6">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Teléfono</label>
                          <div class="col-sm-9">
                            <input id="edit4" type="text" class="form-control" formControlName="telefono" #telefono
                              placeholder="Ingrese un número de contacto" onkeypress="return event.charCode>=48 && event.charCode<=57"
                              required maxlength="9" />
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col">
                      </div>
                      <div class="col-md-4">
                        <div  *ngIf="isEdit1===true">
                          <button type="button" class="btn btn-primary btn-fw" (click)="saveUsuario(this.usuarioDates.value)" 
                          [disabled]="this.usuarioDates.invalid">Guardar</button>
                          <button type="button" class="btn btn-danger btn-fw" (click)="cancelState()">Cancelar</button>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </form>
            </ng-template>
          </ngb-tab>
          <!-- fin de primer tab mis datos TAB-1 -->

          <!-- inicio de segundo tab contraseña TAB-2 -->
          <ngb-tab title="Contraseña" id="tab-2">
            <ng-template ngbTabContent>
              <form [formGroup]="changePassword">
                <div class="row d-flex justify-content-between align-items-baseline" style="margin-right:auto; margin-left:auto;">
                  <div></div>
                  <button type="button" class="btn btn-dark btn-fw" *ngIf="isEdit2===false" (click)="changePass()">
                    <i class="mdi mdi-plus-box" >Cambiar contraseña </i>
                  </button>
                </div>
                <!-- boton -->
                <div class="card">
                  <div class="card-body">
                    <p class="card-description">
                    </p>
                    <div class="row">
                      <div class="col-md-6">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Contraseña actual</label>
                          <div class="col-sm-9">
                            <input id="edit5" type="password" class="form-control" formControlName="actualPass" #actualPass
                              placeholder="Ingrese su contraseña" />
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-6">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Nueva contraseña</label>
                          <div class="col-sm-9">
                            <input id="edit6" type="password" class="form-control" formControlName="newPass" #newPass
                              placeholder="Ingrese su nueva contraseña" />
                          </div>
                        </div>
                      </div>
                      <div class="col-md-6">
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-6">
                        <div class="form-group row">
                          <label class="col-sm-3 col-form-label">Confirmar contraseña</label>
                          <div class="col-sm-9">
                            <input id="edit7" type="password" class="form-control" formControlName="newRePass" #newRePass
                              placeholder="Repita su nueva contraseña" />
                          </div>
                        </div>
                      </div>
                      <div class="col-md-6">
                      </div>
                      <div class="col">
                      </div>
                      <div class="col-md-4">
                        <div  *ngIf="isEdit2===true">
                          <button type="button" class="btn btn-primary btn-fw" [disabled]="this.changePassword.invalid" (click)="cambiarContrasenia(this.changePassword.value)">Guardar</button>
                          <button type="button" class="btn btn-danger btn-fw" (click)="cancelState2()">Cancelar</button>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </form>
            </ng-template>
          </ngb-tab>
          <!-- fin de segundo tab contraseña TAB-2 -->

        </ngb-tabset>
      </div>
    </div>
  </div>  
</div>
